=== debian/changelog ===
igerman98 (20120607-1) unstable; urgency=low

  * New upstream version 20120607.
  * Adapt all patches to new version.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets to rules file.
  * Thanks to Jari Aalto for providing a patch for the above three points
    (Closes: #668555)

 -- Roland Rosenfeld <roland@debian.org>  Thu, 07 Jun 2012 17:29:48 +0200

igerman98 (20110609-1) unstable; urgency=low

  * New upstream version 20110609.
  * Adapt all patches to new version.
  * 17_debian: removed, since it is now part of dicts/marken-x-de_all.
  * Replace ë by ü in apell-de (Closes: #506904).
  * Upgrade to Standards-Version 3.9.2 (no changes).
  * Add build-arch/build-indep to debian/rules to make lintian happy.
  * Remove empty directory /usr/share/myspell/infos/ooo from all myspell*-
    and hunspell*-dictionaries, because it is no longer needed since
    squeeze.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 25 Jun 2011 18:05:35 +0200

igerman98 (20100727-2) unstable; urgency=low

  * Build-Depend on dictionaries-common-dev (>= 1.10.5) to remove
    update-openoffice-dicts call from inst-scripts (Closes: #629069).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 03 Jun 2011 16:41:30 +0200

igerman98 (20100727-1) unstable; urgency=low

  * New upstream version 20100727.
  * Adapt all patches to new version.
  * Add debian/source/format 1.0.
  * Upgrade to Standards-Version 3.9.1
    - Convert versioned Conflicts: to Breaks:
  * Wrap long lines in debian/control (Closes: #609539).
  * Make the thunderbird Conflicts: a versioned one (Closes: #507048).
  * debian/rules: Do not create md5sums for /var/lib/ispell and
    /var/lib/aspell.  Things there are expected to change.  Thanks to
    Agustin Martin Domingo <agmartin@debian.org> (Closes: #500618).

 -- Roland Rosenfeld <roland@debian.org>  Wed, 02 Mar 2011 21:28:41 +0100

igerman98 (20091006-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix problems caused by bogus compat files (Closes: #568741, #607622):
    - ingerman.preinst: remove bogus ingerman.compat if present.
    - iswiss.preinst: remove bogus iswiss.compat if present.
    - iswiss.config.in: Touch swiss.compat on reconfigure, not
      iswiss.compat.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 20 Dec 2010 12:12:10 +0100

igerman98 (20091006-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/ingerman.config.in:
    - Fix compat file name to ngerman.compat  (Closes: #568741).
      Thanks to Agustin Martin <agmartin@debian.org> for the patch

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Mar 2010 09:15:03 +0100

igerman98 (20091006-4) unstable; urgency=low

  * remove de-XX.{dic,aff} symlinks in /usr/share/hunspell (closes: #566802)
  * add various ${misc:Depends}

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Jan 2010 22:29:48 +0100

igerman98 (20091006-3) unstable; urgency=low

  * Run munchlist on ispell dictionaries otherwise buildhash fails and the
    resulting hash file runs ispell into a segmentation fault.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 14 Dec 2009 20:35:49 +0100

igerman98 (20091006-2) unstable; urgency=low

  * Fix aspell-de configuration (Closes: #559851).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 07 Dec 2009 07:49:27 +0100

igerman98 (20091006-1) unstable; urgency=low

  * New upstream version 20091006
  * Adapt all patches to the new version.
  * Remove 19_fuenfzehnjaehrig (incorporated upstream).
  * Remove 05_Makefile-syntax (fixed upstream).
  * Rewrote the aspell build process based on upstream Makefile.
  * Remove duplication Section: from control file.
  * Added debian/README.source (from dpatch package) to explain how dpatch
    works.
  * Upgrade to Standards-Version 3.8.3 (no changes).
  * Replace 15_aspell by 18_aspell, which is a complete rewrite based on
    the new upstream version.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 06 Dec 2009 21:19:36 +0100

igerman98 (20071211-2) unstable; urgency=low

  * rebuild with dictionaries-common-dev (>= 1.3.1) to move dictionaries
    to /usr/share/hunspell with compat symlinks from old location
    (closes: #541940)
  * install proper de_{BE,LI,LU}.{dic,aff} symlinks

 -- Rene Engelhard <rene@debian.org>  Sat, 19 Sep 2009 00:46:17 +0200

igerman98 (20071211-1) unstable; urgency=low

  * New upstream version 20071211.
  * Update all patches.
  * 19_fuenfzehnjaehrig: Encode fünfzehnjährig as 7bit instead of UTF-8.
  * Upgrade to Standards-Version 3.8.0 (no changes).
  * Using ispell-autobuildhash:
    - debian/rules: Adapted to use this system
    - debian/control: Changed Architecture from any to all.
    - debian/i*.config.in: New file to reset *.compat on reconfiguration.
  * Depend on ${misc:Depends} instead of various debconf versions.
  * Recommend texlive-latex-base instead of tetex-base in rmligs-german.
  * debian/aspell-de.info-aspell: Add *chars fields for non-ASCII
    characters in dictionaries. Thanks to Rafael Laboissiere for providing
    a patch (Closes: #477669).
  * Convert the german and swiss wordlists from iso-8859-1 to utf-8.
    (Closes: #470459).
  * Build-Depends on aspell (>= 0.60.5-2) where the broken debug output
    was fixed. This supersedes 18_munchlist_workaround.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 30 Jun 2008 22:59:23 +0200

igerman98 (20070829-5) unstable; urgency=high

  * myspell-de-at replaces myspell-de-de (<< 20070829-4) because de_AT.aff
    was moved from de-de to de-at in -4 and upgrade may fail otherwise
    (Closes: #454423).

 -- Roland Rosenfeld <roland@debian.org>  Wed, 05 Dec 2007 20:46:03 +0100

igerman98 (20070829-4) unstable; urgency=medium

  * Apply aspell-support.patch by Kevin Atkinson to 15_aspell, which sets
    language when calling aspell munch-list, fixes local-data-dir and adds
    some documentation on aspell.

