=== debian/control ===
Source: igerman98
Section: text
Priority: optional
Maintainer: Roland Rosenfeld <roland@debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Standards-Version: 3.9.3
Build-Depends-Indep: ispell (>= 3.1.20-12.1), hunspell, aspell (>= 0.60.5-2),
 dictionaries-common-dev (>= 1.10.5)
Build-Depends: debhelper (>= 9)
Homepage: http://j3e.de/ispell/igerman98/

Package: ingerman
Architecture: all
Provides: ispell-dictionary
Depends: ${misc:Depends}, ispell, dictionaries-common (>= 0.20.0)
Suggests: wngerman
Description: New German orthography dictionary for ispell
 This is a dictionary for ispell for the new German orthography
 (de-DE-1996), which is used since 1998-08-01 and which is obligatory
 as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography (de-DE-1901), which is available as package iogerman),
 with many corrections and additions.

Package: iswiss
Architecture: all
Provides: ispell-dictionary
Depends: ${misc:Depends}, ispell, dictionaries-common (>= 0.20.0)
Suggests: wswiss
Description: Swiss (German) orthography dictionary for ispell
 This is a dictionary for ispell for the new German orthography
 (de-CH-1996), which is used since 1998-08-01 and which is obligatory
 as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography, which is available as iogerman), with many corrections
 and additions.
 .
 This particular rendering supports swiss spelling.  This includes some
 Swiss words, as well as ss instead of German sz ligature.

Package: wngerman
Architecture: all
Provides: wordlist
Depends: ${misc:Depends}, dictionaries-common (>= 0.20.0)
Description: New German orthography wordlist
 This is a wordlist with the new German orthography (de-DE-1996),
 which is used since 1998-08-01 and which is obligatory as of
 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography (de-DE-1901), which is available as package wogerman),
 with many corrections and additions.

Package: wswiss
Architecture: all
Provides: wordlist
Depends: ${misc:Depends}, dictionaries-common (>= 0.20.0)
Description: Swiss (German) orthography wordlist
 This is a wordlist with the new German orthography (de-CH-1996), which
 is used since 1998-08-01 and which is obligatory as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography, which is available as wogerman), with many corrections
 and additions.
 .
 This particular rendering supports swiss spelling.  This includes some
 Swiss words, as well as ss instead of German sz ligature.

Package: rmligs-german
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Recommends: texlive-latex-base
Description: remove incorrectly used ligatures from LaTeX documents
 rmligs-german is a program for removing incorrectly used ligatures
 from LaTeX documents. This version is intended for German language
 texts only.

Package: myspell-de-at
Architecture: all
Depends: dictionaries-common (>= 0.10) | openoffice.org-updatedicts,
 ${misc:Depends}
Suggests: openoffice.org
Replaces: openoffice.org-spellcheck-de-at, myspell-de-de (<< 20070829-4)
Provides: myspell-dictionary, myspell-dictionary-de,
 openoffice.org-spellcheck-de-at
Conflicts: openoffice.org-spellcheck-de-at
Breaks: openoffice.org (<= 1.0.3-2)
Description: Austrian (German) dictionary for myspell
 This is the German (Austria) dictionary (de-AT-1996) for use with
 the myspell spellchecker which is currently used within
 OpenOffice.org and the mozilla spellchecker.

Package: myspell-de-ch
Architecture: all
Depends: dictionaries-common (>= 0.10) | openoffice.org-updatedicts,
 ${misc:Depends}
Suggests: openoffice.org
Replaces: openoffice.org-spellcheck-de-ch
Provides: myspell-dictionary, myspell-dictionary-de,
 openoffice.org-spellcheck-de-ch
Conflicts: openoffice.org-spellcheck-de-ch
Breaks: openoffice.org (<= 1.0.3-2)
Description: Swiss (German) dictionary for myspell
 This is the German (Switzerland, Liechtenstein) dictionary (de-CH-1996)
 for use with the myspell spellchecker which is currently used within
 OpenOffice.org and the mozilla spellchecker.

Package: myspell-de-de
Architecture: all
Depends: dictionaries-common (>= 0.10) | openoffice.org-updatedicts,
 ${misc:Depends}
Suggests: openoffice.org
Replaces: openoffice.org-spellcheck-de-de
Provides: myspell-dictionary, myspell-dictionary-de,
 openoffice.org-spellcheck-de-de
Conflicts: openoffice.org-spellcheck-de-de
Breaks: openoffice.org (<= 1.0.3-2), openoffice.org-core (<< 2.1~m190-1)
Description: German dictionary for myspell
 This is the German (Belgium, Germany, Luxemburg) dictionary (de-DE-1996)
 for use with the myspell spellchecker which is currently used within
 OpenOffice.org and the mozilla spellchecker.

Package: hunspell-de-at
Architecture: all
Depends: dictionaries-common (>= 0.10), ${misc:Depends}
Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)
Replaces: openoffice.org-spellcheck-de-at, myspell-de-at
Provides: hunspell-dictionary, hunspell-dictionary-de,
 openoffice.org-spellcheck-de-at
Conflicts: openoffice.org-spellcheck-de-at, myspell-de-at
Breaks: openoffice.org (<= 1.0.3-2), mozilla-browser (<< 1.8+1.1.1-2),
 iceape-browser (<< 1.1.1-2), firefox (<< 2.0.0.3-2), iceweasel (<< 2.0.0.3-2),
 icedove (<< 2.0.0.0-4), thunderbird (<< 2.0.0.1+0dfsg-0),
 libxul0d (= 1.8.0.11-3)
Description: Austrian (German) dictionary for hunspell
 This is the German (Austria) dictionary (de-AT-1996) for use with the
 hunspell spellchecker which is currently used within OpenOffice.org2
 and as an ispell clone.

Package: hunspell-de-ch
Architecture: all
Depends: dictionaries-common (>= 0.10), ${misc:Depends}
Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)
Replaces: openoffice.org-spellcheck-de-ch, myspell-de-ch
Provides: hunspell-dictionary, hunspell-dictionary-de,
 openoffice.org-spellcheck-de-ch
Conflicts: openoffice.org-spellcheck-de-ch, myspell-de-ch
Breaks: openoffice.org (<= 1.0.3-2), mozilla-browser (<< 1.8+1.1.1-2),
 iceape-browser (<< 1.1.1-2), firefox (<< 2.0.0.3-2), iceweasel (<< 2.0.0.3-2),
 icedove (<< 2.0.0.0-4), thunderbird (<< 2.0.0.1+0dfsg-0),
 libxul0d (= 1.8.0.11-3)
Description: Swiss (German) dictionary for hunspell
 This is the German (Switzerland, Liechtenstein) dictionary (de-CH-1996)
 for use with the hunspell spellchecker which is currently used within
 OpenOffice.org2 and as an ispell clone.

Package: hunspell-de-de
Architecture: all
Depends: dictionaries-common (>= 0.10), ${misc:Depends}
Suggests: hunspell, openoffice.org-hunspell | openoffice.org-core (>= 2.0.2)
Replaces: openoffice.org-spellcheck-de-de, myspell-de-de
Provides: hunspell-dictionary, hunspell-dictionary-de,
 openoffice.org-spellcheck-de-de
Conflicts: openoffice.org-spellcheck-de-de, myspell-de-de
Breaks: openoffice.org (<= 1.0.3-2), mozilla-browser (<< 1.8+1.1.1-2),
 iceape-browser (<< 1.1.1-2), firefox (<< 2.0.0.3-2), iceweasel (<< 2.0.0.3-2),
 icedove (<< 2.0.0.0-4), openoffice.org-core (<< 2.1~m190-1),
 thunderbird (<< 2.0.0.1+0dfsg-0), libxul0d (= 1.8.0.11-3)
Description: German dictionary for hunspell
 This is the German (Belgium, Germany, Luxemburg) dictionary (de-DE-1996)
 for use with the hunspell spellchecker which is currently used within
 OpenOffice.org2 and as an ispell clone.

Package: aspell-de
Architecture: all
Depends: aspell (>= 0.60.5-2), dictionaries-common (>= 0.9.1), ${misc:Depends}
Provides: aspell-dictionary
Description: German dictionary for aspell
 This package contains German dictionaries for the aspell spell checker.
 .
 Dictionaries included are: de_DE (de/deutsch/german), de_CH (swiss), and
 de_AT, all using the new German orthography from 1996 (neue Rechtschreibung).
 .
 The old (1901) spelling is provided by aspell-de-alt.
