=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2009 Roland Rosenfeld <roland@debian.org>, based on
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DROOT=`pwd`/debian
ADIR=$(DROOT)/aspell-de

build: build-stamp

build-arch:
# does nothing, because the package is Architecture: all

build-indep: build-stamp

build-stamp:
	dh_testdir

	$(MAKE) ispell/de_DE.aff all.words.de_DE.tmp
#	$(MAKE) ispell/de_AT.aff all.words.de_AT.tmp
	$(MAKE) ispell/de_CH.aff all.words.de_CH.tmp

	$(MAKE) hunspell/de_DE.dic hunspell/de_DE.aff
	$(MAKE) hunspell/de_AT.dic hunspell/de_AT.aff
	$(MAKE) hunspell/de_CH.dic hunspell/de_CH.aff

	$(MAKE) myspell/de_DE.dic myspell/de_DE.aff
	$(MAKE) myspell/de_AT.dic myspell/de_AT.aff
	$(MAKE) myspell/de_CH.dic myspell/de_CH.aff

	$(MAKE) ligature/rmligs

	$(MAKE) isowordlist-de_DE
#	$(MAKE) isowordlist-de_AT
	$(MAKE) isowordlist-de_CH

	$(MAKE) aspell/de-common.cwl aspell/de_DE-only.cwl
	$(MAKE) aspell/de_CH-only.cwl aspell/de_AT-only.cwl

	touch build-stamp

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	$(MAKE) clean
	rm -f debian/ingerman.config debian/ingerman.templates
	rm -f debian/wngerman.config debian/wngerman.templates
	rm -f debian/iswiss.config debian/iswiss.templates
	rm -f debian/wswiss.config debian/wswiss.templates

	rm -f debian/hunspell-de-at.copyright debian/hunspell-de-ch.copyright
	rm -f debian/wswiss.copyright

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

#	copyright files:
	cp debian/hunspell-de-de.copyright debian/hunspell-de-at.copyright
	cp debian/hunspell-de-de.copyright debian/hunspell-de-ch.copyright
	cp debian/wngerman.copyright debian/wswiss.copyright

#	ingerman (binary-indep):
	install -o root -g root -m644 ispell/de_DE.aff \
		$(DROOT)/ingerman/usr/lib/ispell/ngerman.aff
	gzip -9 < all.words.munch.de_DE.tmp \
		> $(DROOT)/ingerman/usr/share/ispell/ngerman.mwl.gz
	touch $(DROOT)/ingerman/var/lib/ispell/ngerman.compat
	touch $(DROOT)/ingerman/var/lib/ispell/ngerman.hash
	(cd $(DROOT)/ingerman/usr/lib/ispell; \
		ln -s "../../../var/lib/ispell/ngerman.hash" ngerman.hash)
	(cd $(DROOT)/ingerman/usr/lib/ispell; \
		ln -s ngerman.aff ndeutsch.aff; \
		ln -s ngerman.hash ndeutsch.hash;)

#	iswiss (binary-indep):
	install -o root -g root -m644 ispell/de_CH.aff \
		$(DROOT)/iswiss/usr/lib/ispell/swiss.aff
	gzip -9 < all.words.munch.de_CH.tmp \
		> $(DROOT)/iswiss/usr/share/ispell/swiss.mwl.gz
	touch $(DROOT)/iswiss/var/lib/ispell/swiss.compat
	touch $(DROOT)/iswiss/var/lib/ispell/swiss.hash
	(cd $(DROOT)/iswiss/usr/lib/ispell; \
		ln -s "../../../var/lib/ispell/swiss.hash" swiss.hash)
	(cd $(DROOT)/iswiss/usr/lib/ispell; \
		ln -s swiss.aff deutsch-schweiz.aff; \
		ln -s swiss.hash deutsch-schweiz.hash;)

#	wngerman (binary-indep):
	iconv -f iso-8859-1 -t utf-8 < isowordlist-de_DE \
		> $(DROOT)/wngerman/usr/share/dict/ngerman

#	wswiss (binary-indep):	
	iconv -f iso-8859-1 -t utf-8 < isowordlist-de_CH \
		> $(DROOT)/wswiss/usr/share/dict/swiss

#	rmligs-german (binary-indep):
	install -o root -g root -m755 ligature/rmligs \
		$(DROOT)/rmligs-german/usr/bin/rmligs-german
	sed -e 's/rmligs/rmligs-german/g;s/RMLIGS/RMLIGS-GERMAN/g' \
	    -e 's%README%/usr/share/doc/rmligs-german/README.ligatures%g' \
	    < ligature/rmligs.1 \
	    > $(DROOT)/rmligs-german/usr/share/man/man1/rmligs-german.1

#	myspell-de-ch (binary-indep)
	install -o root -g root -m644 myspell/de_CH.aff \
		$(DROOT)/myspell-de-ch/usr/share/hunspell
	install -o root -g root -m644 myspell/de_CH.dic \
		$(DROOT)/myspell-de-ch/usr/share/hunspell
	(cd $(DROOT)/myspell-de-ch/usr/share/hunspell; \
		ln -s de_CH.aff de_LI.aff; \
		ln -s de_CH.dic de_LI.dic)
	(cd $(DROOT)/myspell-de-ch/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_CH.aff de_CH.aff; \
		ln -s ../../hunspell/de_CH.dic de_CH.dic; \
		ln -s ../../hunspell/de_LI.aff de_LI.aff; \
		ln -s ../../hunspell/de_LI.dic de_LI.dic; \
		ln -s ../../hunspell/de_CH.aff de-CH.aff; \
		ln -s ../../hunspell/de_CH.dic de-CH.dic; \
		ln -s ../../hunspell/de_LI.aff de-LI.aff; \
		ln -s ../../hunspell/de_LI.dic de-LI.dic)

#	myspell-de-de (binary-indep)
	install -o root -g root -m644 myspell/de_DE.aff \
		$(DROOT)/myspell-de-de/usr/share/hunspell
	install -o root -g root -m644 myspell/de_DE.dic \
		$(DROOT)/myspell-de-de/usr/share/hunspell
	(cd $(DROOT)/myspell-de-de/usr/share/hunspell; \
		ln -s de_DE.aff de_BE.aff; \
		ln -s de_DE.dic de_BE.dic; \
		ln -s de_DE.aff de_LU.aff; \
		ln -s de_DE.dic de_LU.dic)
	(cd $(DROOT)/myspell-de-de/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_DE.aff de_DE.aff; \
		ln -s ../../hunspell/de_DE.dic de_DE.dic; \
		ln -s ../../hunspell/de_BE.aff de_BE.aff; \
		ln -s ../../hunspell/de_BE.dic de_BE.dic; \
		ln -s ../../hunspell/de_LU.aff de_LU.aff; \
		ln -s ../../hunspell/de_LU.dic de_LU.dic; \
		ln -s ../../hunspell/de_DE.aff de-DE.aff; \
		ln -s ../../hunspell/de_DE.dic de-DE.dic; \
		ln -s ../../hunspell/de_BE.aff de-BE.aff; \
		ln -s ../../hunspell/de_BE.dic de-BE.dic; \
		ln -s ../../hunspell/de_LU.aff de-LU.aff; \
		ln -s ../../hunspell/de_LU.dic de-LU.dic)

#	myspell-de-at (binary-indep)
	install -o root -g root -m644 myspell/de_AT.aff \
		$(DROOT)/myspell-de-at/usr/share/hunspell
	install -o root -g root -m644 myspell/de_AT.dic \
		 $(DROOT)/myspell-de-at/usr/share/hunspell
	(cd $(DROOT)/myspell-de-at/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_AT.dic de_AT.dic; \
		ln -s ../../hunspell/de_AT.aff de_AT.aff; \
		ln -s ../../hunspell/de_AT.dic de-AT.dic; \
		ln -s ../../hunspell/de_AT.aff de-AT.aff)

#	hunspell-de-ch (binary-indep)
	install -o root -g root -m644 hunspell/de_CH.aff \
		$(DROOT)/hunspell-de-ch/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_CH.dic \
		$(DROOT)/hunspell-de-ch/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-ch/usr/share/hunspell; \
		ln -s de_CH.aff de_LI.aff; \
		ln -s de_CH.dic de_LI.dic)
	(cd $(DROOT)/hunspell-de-ch/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_CH.aff de_CH.aff; \
		ln -s ../../hunspell/de_CH.dic de_CH.dic; \
		ln -s ../../hunspell/de_LI.aff de_LI.aff; \
		ln -s ../../hunspell/de_LI.dic de_LI.dic; \
		ln -s ../../hunspell/de_CH.aff de-CH.aff; \
		ln -s ../../hunspell/de_CH.dic de-CH.dic; \
		ln -s ../../hunspell/de_LI.aff de-LI.aff; \
		ln -s ../../hunspell/de_LI.dic de-LI.dic)

#	hunspell-de-de (binary-indep)
	install -o root -g root -m644 hunspell/de_DE.aff \
		$(DROOT)/hunspell-de-de/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_DE.dic \
		$(DROOT)/hunspell-de-de/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-de/usr/share/hunspell; \
		ln -s de_DE.aff de_BE.aff; \
		ln -s de_DE.dic de_BE.dic; \
		ln -s de_DE.aff de_LU.aff; \
		ln -s de_DE.aff de_LU.dic)
	(cd $(DROOT)/hunspell-de-de/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_DE.aff de_DE.aff; \
		ln -s ../../hunspell/de_DE.dic de_DE.dic; \
		ln -s ../../hunspell/de_BE.aff de_BE.aff; \
		ln -s ../../hunspell/de_BE.dic de_BE.dic; \
		ln -s ../../hunspell/de_LU.aff de_LU.aff; \
		ln -s ../../hunspell/de_LU.dic de_LU.dic; \
		ln -s ../../hunspell/de_DE.aff de-DE.aff; \
		ln -s ../../hunspell/de_DE.dic de-DE.dic; \
		ln -s ../../hunspell/de_BE.aff de-BE.aff; \
		ln -s ../../hunspell/de_BE.dic de-BE.dic; \
		ln -s ../../hunspell/de_LU.aff de-LU.aff; \
		ln -s ../../hunspell/de_LU.dic de-LU.dic)

#	hunspell-de-at (binary-indep)
	install -o root -g root -m644 hunspell/de_AT.aff \
		 $(DROOT)/hunspell-de-at/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_AT.dic \
		 $(DROOT)/hunspell-de-at/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-at/usr/share/myspell/dicts; \
		ln -s ../../hunspell/de_AT.dic de_AT.dic; \
		ln -s ../../hunspell/de_AT.aff de_AT.aff; \
		ln -s ../../hunspell/de_AT.dic de-AT.dic; \
		ln -s ../../hunspell/de_AT.aff de-AT.aff)

#	aspell-de (binary-indep)
	install -o root -g root -m644 aspell/de_DE.multi \
