=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://j3e.de/ispell/igerman98/dict/igerman98-[a-z]*([0-9]*)\.tar\.bz2
