## igerman98 20131206

=== debian/changelog ===
igerman98 (20131206-5) unstable; urgency=low

  * Undo workaround from previous version and (build-)depend on
    dictionaries-common >= 1.23.4 instead.  This should solve this issue.
    (Closes: #750067, #750069, #750540).
  * debian/aspell-de.info-aspell: Use octal representation for casechars
    and friends.
  * Add debian/*.info-hunspell files for myspell and hunspell dicts.
  * debian/*.info-*: Use experimental 'Emacsen-Names' feature at
    (dictionaries-common 1.23.3) to provide consistent long names
    across spellcheckers (Closes: #748773).
  * Thanks to Agustin Martin for providing the above patches.  

 -- Roland Rosenfeld <roland@debian.org>  Wed, 11 Jun 2014 18:19:35 +0200

igerman98 (20131206-4) unstable; urgency=low

  * Workaround for /var/lib/aspell removal on upgrade in
    aspell-de.postinst by temporarily touching/removing a file there
    (Closes: #748253).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 15 May 2014 20:23:15 +0200

igerman98 (20131206-3) unstable; urgency=low

  * Use standard DC debhelper snippets to better handle upgrades from old
    versions (Closes: #746965).
  * No longer ship anything under ancient /usr/share/myspell.
  * Thanks to Agustin Martin Domingo for providing the above two patches.
  * Add ${perl:Depends} to ingerman, iswiss, wngerman and wswiss, since
    they use perl via debconf.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 11 May 2014 12:47:05 +0200

igerman98 (20131206-2) unstable; urgency=low

  * Create /var/lib/ispell in ingerman/iswiss.preinst if it doesn't exist.
    (Closes: #745571)

 -- Roland Rosenfeld <roland@debian.org>  Wed, 23 Apr 2014 08:44:36 +0200

igerman98 (20131206-1) unstable; urgency=low

  * New upstream version 20131206.
  * Adapt all patches to new version.
  * Get rid of empty {ngerman|swiss}.{hash|compat} in the packages
    ingerman and iswiss and instead create them in preinst to avoid
    problems with debsums, since these files were changed in postinst but
    needed by postinst.  Thanks to Jameson C. Burt for mentioning this
    problem.
  * 19_Bedenkminuteen: Fix wrong affix of Bedenkminute (Closes: #731828).
  * Update to Standards-Version 3.9.5 (no changes).
  * Update debian/watch file.
  * Update Homepage URL.
  * Remove sarge legacy code from aspell-de.postinst to make lintian happy.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 12 Apr 2014 13:40:26 +0200
