=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends-Indep: ispell (>= 3.1.20-12.1), hunspell, aspell (>= 0.60.5-2),
- dictionaries-common-dev (>= 1.10.5)
+ dictionaries-common-dev (>= 1.23.4)
 Build-Depends: debhelper (>= 9)
-Homepage: http://j3e.de/ispell/igerman98/
+Homepage: https://www.j3e.de/ispell/igerman98/
 
 Package: ingerman
 Architecture: all
 Provides: ispell-dictionary
-Depends: ${misc:Depends}, ispell, dictionaries-common (>= 0.20.0)
+Depends: ${misc:Depends}, ${ispell:Depends}, ${perl:Depends}
 Suggests: wngerman
 Description: New German orthography dictionary for ispell
  This is a dictionary for ispell for the new German orthography
@@ -26,7 +26,7 @@
 Package: iswiss
 Architecture: all
 Provides: ispell-dictionary
-Depends: ${misc:Depends}, ispell, dictionaries-common (>= 0.20.0)
+Depends: ${misc:Depends}, ${ispell:Depends}, ${perl:Depends}
 Suggests: wswiss
 Description: Swiss (German) orthography dictionary for ispell
  This is a dictionary for ispell for the new German orthography
@@ -43,7 +43,7 @@
 Package: wngerman
 Architecture: all
 Provides: wordlist
-Depends: ${misc:Depends}, dictionaries-common (>= 0.20.0)
+Depends: ${misc:Depends}, ${wordlist:Depends}, ${perl:Depends}
 Description: New German orthography wordlist
  This is a wordlist with the new German orthography (de-DE-1996),
  which is used since 1998-08-01 and which is obligatory as of
@@ -56,7 +56,7 @@
 Package: wswiss
 Architecture: all
 Provides: wordlist
-Depends: ${misc:Depends}, dictionaries-common (>= 0.20.0)
+Depends: ${misc:Depends}, ${wordlist:Depends}, ${perl:Depends}
 Description: Swiss (German) orthography wordlist
  This is a wordlist with the new German orthography (de-CH-1996), which
  is used since 1998-08-01 and which is obligatory as of 2005-08-01.
@@ -175,7 +175,7 @@
 
 Package: aspell-de
 Architecture: all
-Depends: aspell (>= 0.60.5-2), dictionaries-common (>= 0.9.1), ${misc:Depends}
+Depends: ${misc:Depends}, ${aspell:Depends}
 Provides: aspell-dictionary
 Description: German dictionary for aspell
  This package contains German dictionaries for the aspell spell checker.
