=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2014 Roland Rosenfeld <roland@debian.org>, based on
# sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DROOT=`pwd`/debian
ADIR=$(DROOT)/aspell-de

build: build-stamp

build-arch:
# does nothing, because the package is Architecture: all

build-indep: build-stamp

build-stamp:
	dh_testdir

	$(MAKE) ispell/de_DE.aff all.words.de_DE.tmp
#	$(MAKE) ispell/de_AT.aff all.words.de_AT.tmp
	$(MAKE) ispell/de_CH.aff all.words.de_CH.tmp

	$(MAKE) hunspell/de_DE.dic hunspell/de_DE.aff
	$(MAKE) hunspell/de_AT.dic hunspell/de_AT.aff
	$(MAKE) hunspell/de_CH.dic hunspell/de_CH.aff

	$(MAKE) myspell/de_DE.dic myspell/de_DE.aff
	$(MAKE) myspell/de_AT.dic myspell/de_AT.aff
	$(MAKE) myspell/de_CH.dic myspell/de_CH.aff

	$(MAKE) ligature/rmligs

	$(MAKE) isowordlist-de_DE
#	$(MAKE) isowordlist-de_AT
	$(MAKE) isowordlist-de_CH

	$(MAKE) aspell/de-common.cwl aspell/de_DE-only.cwl
	$(MAKE) aspell/de_CH-only.cwl aspell/de_AT-only.cwl

	touch build-stamp

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean
	rm -f debian/ingerman.config debian/ingerman.templates
	rm -f debian/wngerman.config debian/wngerman.templates
	rm -f debian/iswiss.config debian/iswiss.templates
	rm -f debian/wswiss.config debian/wswiss.templates

	rm -f debian/hunspell-de-at.copyright debian/hunspell-de-ch.copyright
	rm -f debian/wswiss.copyright

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

#	copyright files:
	cp debian/hunspell-de-de.copyright debian/hunspell-de-at.copyright
	cp debian/hunspell-de-de.copyright debian/hunspell-de-ch.copyright
	cp debian/wngerman.copyright debian/wswiss.copyright

#	ingerman (binary-indep):
	install -o root -g root -m644 ispell/de_DE.aff \
		$(DROOT)/ingerman/usr/lib/ispell/ngerman.aff
	gzip -9 < all.words.munch.de_DE.tmp \
		> $(DROOT)/ingerman/usr/share/ispell/ngerman.mwl.gz
	(cd $(DROOT)/ingerman/usr/lib/ispell; \
		ln -s ngerman.aff ndeutsch.aff; \
		ln -s ngerman.hash ndeutsch.hash;)

#	iswiss (binary-indep):
	install -o root -g root -m644 ispell/de_CH.aff \
		$(DROOT)/iswiss/usr/lib/ispell/swiss.aff
	gzip -9 < all.words.munch.de_CH.tmp \
		> $(DROOT)/iswiss/usr/share/ispell/swiss.mwl.gz
	(cd $(DROOT)/iswiss/usr/lib/ispell; \
		ln -s swiss.aff deutsch-schweiz.aff; \
		ln -s swiss.hash deutsch-schweiz.hash;)

#	wngerman (binary-indep):
	iconv -f iso-8859-1 -t utf-8 < isowordlist-de_DE \
		> $(DROOT)/wngerman/usr/share/dict/ngerman

#	wswiss (binary-indep):
	iconv -f iso-8859-1 -t utf-8 < isowordlist-de_CH \
		> $(DROOT)/wswiss/usr/share/dict/swiss

#	rmligs-german (binary-indep):
	install -o root -g root -m755 ligature/rmligs \
		$(DROOT)/rmligs-german/usr/bin/rmligs-german
	sed -e 's/rmligs/rmligs-german/g;s/RMLIGS/RMLIGS-GERMAN/g' \
	    -e 's%README%/usr/share/doc/rmligs-german/README.ligatures%g' \
	    < ligature/rmligs.1 \
	    > $(DROOT)/rmligs-german/usr/share/man/man1/rmligs-german.1

#	myspell-de-ch (binary-indep)
	install -o root -g root -m644 myspell/de_CH.aff \
		$(DROOT)/myspell-de-ch/usr/share/hunspell
	install -o root -g root -m644 myspell/de_CH.dic \
		$(DROOT)/myspell-de-ch/usr/share/hunspell
	(cd $(DROOT)/myspell-de-ch/usr/share/hunspell; \
		ln -s de_CH.aff de_LI.aff; \
		ln -s de_CH.dic de_LI.dic)

#	myspell-de-de (binary-indep)
	install -o root -g root -m644 myspell/de_DE.aff \
		$(DROOT)/myspell-de-de/usr/share/hunspell
	install -o root -g root -m644 myspell/de_DE.dic \
		$(DROOT)/myspell-de-de/usr/share/hunspell
	(cd $(DROOT)/myspell-de-de/usr/share/hunspell; \
		ln -s de_DE.aff de_BE.aff; \
		ln -s de_DE.dic de_BE.dic; \
		ln -s de_DE.aff de_LU.aff; \
		ln -s de_DE.dic de_LU.dic)

#	myspell-de-at (binary-indep)
	install -o root -g root -m644 myspell/de_AT.aff \
		$(DROOT)/myspell-de-at/usr/share/hunspell
	install -o root -g root -m644 myspell/de_AT.dic \
		 $(DROOT)/myspell-de-at/usr/share/hunspell

#	hunspell-de-ch (binary-indep)
	install -o root -g root -m644 hunspell/de_CH.aff \
		$(DROOT)/hunspell-de-ch/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_CH.dic \
		$(DROOT)/hunspell-de-ch/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-ch/usr/share/hunspell; \
		ln -s de_CH.aff de_LI.aff; \
		ln -s de_CH.dic de_LI.dic)

#	hunspell-de-de (binary-indep)
	install -o root -g root -m644 hunspell/de_DE.aff \
		$(DROOT)/hunspell-de-de/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_DE.dic \
		$(DROOT)/hunspell-de-de/usr/share/hunspell
	(cd $(DROOT)/hunspell-de-de/usr/share/hunspell; \
		ln -s de_DE.aff de_BE.aff; \
		ln -s de_DE.dic de_BE.dic; \
		ln -s de_DE.aff de_LU.aff; \
		ln -s de_DE.aff de_LU.dic)

#	hunspell-de-at (binary-indep)
	install -o root -g root -m644 hunspell/de_AT.aff \
		 $(DROOT)/hunspell-de-at/usr/share/hunspell
	install -o root -g root -m644 hunspell/de_AT.dic \
		 $(DROOT)/hunspell-de-at/usr/share/hunspell

#	aspell-de (binary-indep)
	install -o root -g root -m644 aspell/de_DE.multi \
		$(ADIR)/usr/lib/aspell/de-neu.multi
	install -o root -g root -m644 aspell/de_DE.multi \
		$(ADIR)/usr/lib/aspell/de_DE-neu.multi
	install -o root -g root -m644 aspell/de_CH.multi \
		$(ADIR)/usr/lib/aspell/de_CH-neu.multi
	install -o root -g root -m644 aspell/de_AT.multi \
		$(ADIR)/usr/lib/aspell/de_AT-neu.multi

	install -o root -g root -m644 aspell/de_AT.alias \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_CH.alias \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_DE.alias \
		$(ADIR)/usr/lib/aspell/

	install -o root -g root -m644 aspell/de.dat \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_phonet.dat \
		$(ADIR)/usr/lib/aspell/
	install -o root -g root -m644 aspell/de_affix.dat \
		$(ADIR)/usr/lib/aspell/

	dh_install
	gzip -9c < aspell/de-common.cwl \
		> $(ADIR)/usr/share/aspell/de-common.cwl.gz
	gzip -9c < aspell/de_AT-only.cwl \
		> $(ADIR)/usr/share/aspell/de_AT-only.cwl.gz
	gzip -9c < aspell/de_CH-only.cwl \
		> $(ADIR)/usr/share/aspell/de_CH-only.cwl.gz
	gzip -9c < aspell/de_DE-only.cwl \
		> $(ADIR)/usr/share/aspell/de_DE-only.cwl.gz
	dh_link


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i Documentation/Changes
	dh_link -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installdebconf -i
#	dh_installlogrotate -i
	installdeb-wordlist -pwngerman # Internally calls dh_installdebconf
	installdeb-wordlist -pwswiss   # Internally calls dh_installdebconf
	installdeb-myspell -pmyspell-de-de
	installdeb-myspell -pmyspell-de-at
	rm -f $(DROOT)/myspell-de-at/usr/share/hunspell/de-DE.*
	installdeb-myspell -pmyspell-de-ch
	installdeb-myspell -phunspell-de-de
	installdeb-myspell -phunspell-de-at
	rm -f $(DROOT)/hunspell-de-at/usr/share/hunspell/de-DE.*
	installdeb-myspell -phunspell-de-ch
	installdeb-aspell -paspell-de
	installdeb-ispell -pingerman # Internally calls dh_installdebconf
	installdeb-ispell -piswiss   # Internally calls dh_installdebconf
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i -Xvar/lib/ispell -Xvar/lib/aspell
	dh_builddeb -i

binary-arch:
# does nothing, because the package is Architecture: all

binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary \
	install clean clean1
